clusterUser

The clusterUser resource returns the domain name of the user's home cluster. UDS first scans the local cluster and then fans out to search remote clusters. A parameter is required to use this resource. If you are unsure of the username or email address, you can search using the users resource. The response contains the publisher of the home cluster for that end user.

clusterUser Request Format

<!--clusterUser username request-->
GET https://{host}:8443/cucm-uds/clusterUser?username={userId}
Content-Type: application/xml   

Query String Parameters

Parameter Description
username Filter by username.
https://{host}:8443/cucm-uds/clusterUser?username={userId}
email Filter by email address.
https://{host}:8443/cucm-uds/clusterUser?email={mailId}
useridentifier Filter by user identifier. If the user is synced with Active Directory, the useridentifier value is associated with the UserPrincipleName.
https://{host}:8443/cucm-uds/clusterUser?useridentifier={useridentifier}
  • No authentication is required.
  • At least one filter parameter is required.

clusterUser Response Format

If user is found:

<!--clusterUser username response-->
<clusterUser version="10.0.0" uri="https://{host}/cucm-uds/clusterUser?username={userId}">
   <result found="true" uri="https://{host}:8443/cucm-uds/user/{userId}" version="10.0.0" />
   <homeCluster serversUri="https://{host}:8443/cucm-uds/servers">{host}</homeCluster>
   <homeClusterDetails>
      <selfProvisioningSecureMode>true</selfProvisioningSecureMode>
      <adminProvisionMode>false</adminProvisionMode>
   </homeClusterDetails>
</clusterUser>

If user is not found:

<!--clusterUser username response-->
<clusterUser version="10.0.0" uri="https://{host}/cucm-uds/clusterUser?username={userId}">
   <result found="false" />
</clusterUser>

dayOfWeek

The dayOfWeek resource returns a list of values for each day of the week. It is used by a remote destination profile to obtain a schedule. For more information on remote destination profiles, consult the documentation about the remoteDestination resource.

dayOfWeek Request Format

<!--dayOfWeek request-->
GET https://{host}:8443/cucm-uds/options/dayOfWeek  
Accept: application/xml  
Content-Type: application/xml  
  • No authentication required.

dayOfWeek Response Format

<!--dayOfWeek response-->
<dayOfWeek>
   <option>
      <value>0</value>
      <name>Sunday</name>
   </option>
   <option>
      <value>1</value>
      <name>Monday</name>
   </option>
   <option>
      <value>2</value>
      <name>Tuesday</name>
   </option>
   <option>
      <value>3</value>
      <name>Wednesday</name>
   </option>
   <option>
      <value>4</value>
      <name>Thursday</name>
   </option>
   <option>
      <value>5</value>
      <name>Friday</name>
   </option>
   <option>
      <value>6</value>
      <name>Saturday</name>
   </option>
</dayOfWeek>

groups

For Unified CM systems integrated with Microsoft Active Directory (AD), this resource allows the user to query the list of AD groups available. The result can be filtered by passing a search string as a query parameter in the URL.

*groups Request Format *

<!--groups request-->
GET https:­//{host}:8443/cucm-uds/groups?name=pho
Content-Type: application/xml

groups Response Format

<!--groups response-->
<?xml version="1.0" encoding="UTF-8"?>
<groups uri="{host}:8443/cucm-uds/groups" version="11.0.0" returnedCount="5">
   <group>
      <groupName>Phoenix1</groupName>
      <distinguishedName>CN=Phoenix1,OU=dhanush,DC=adtest,DC=com</distinguishedName>
      <groupType>Active LDAP Synchronized Group</groupType>
   </group>
   <group>
      <groupName>Phoenix2</groupName>
      <distinguishedName>CN=Phoenix2,OU=dhanush,DC=adtest,DC=com</distinguishedName>
      <groupType>Active LDAP Synchronized Group</groupType>
   </group>
</groups>

options

The options resource returns information that a client application uses to implement menu choices in its UI, such as the ring settings

options Request Format

<!--options request-->
GET https://{host}:8443/cucm-uds/options  
Content-Type: application/xml  
  • No authentication required.

options Response Format

<!--options response-->
<options version="10.0.0" uri="https://{host}/cucm-uds/options">
    <messageWaitingVisualAlertPreference uri="https://{host}/cucm-uds/options/messageWaitingVisualAlertPreference">
        <option>
            <value>0</value>
            <name>Use System Policy</name>
        </option>
        <option>
            <value>1</value>
            <name>Light and Prompt</name>
        </option>
        <option>
            <value>2</value>
            <name>Prompt Only</name>
        </option>
        <option>
            <value>3</value>
            <name>Light Only</name>
        </option>
        <option>
            <value>4</value>
            <name>None</name>
        </option>
    </messageWaitingVisualAlertPreference>
    <messageWaitingAudibleAlertPreference uri="https://{host}/cucm-uds/options/messageWaitingAudibleAlertPreference">
        <option>
            <value>0</value>
            <name>Off</name>
        </option>
        <option>
            <value>1</value>
            <name>On</name>
        </option>
        <option>
            <value>2</value>
            <name>Default</name>
        </option>
    </messageWaitingAudibleAlertPreference>
    <onACallRingPreference uri="https://{host}/cucm-uds/options/onACallRingPreference">
        <option>
            <value>0</value>
            <name>Use System Default</name>
        </option>
        <option>
            <value>1</value>
            <name>Disable</name>
        </option>
        <option>
            <value>2</value>
            <name>Flash Only</name>
        </option>
        <option>
            <value>3</value>
            <name>Ring Once</name>
        </option>
        <option>
            <value>4</value>
            <name>Ring</name>
        </option>
        <option>
            <value>5</value>
            <name>Beep Only</name>
        </option>
    </onACallRingPreference>
    <notOnACallRingPreference uri="https://{host}/cucm-uds/options/notOnACallRingPreference">
        <option>
            <value>0</value>
            <name>Use System Default</name>
        </option>
        <option>
            <value>1</value>
            <name>Disable</name>
        </option>
        <option>
            <value>2</value>
            <name>Flash Only</name>
        </option>
        <option>
            <value>3</value>
            <name>Ring Once</name>
        </option>
        <option>
            <value>4</value>
            <name>Ring</name>
        </option>
        <option>
            <value>5</value>
            <name>Beep Only</name>
        </option>
    </notOnACallRingPreference>
    <doNotDisturbSettings uri="https://{host}/cucm-uds/options/doNotDisturbSettings">
        <option>
            <value>0</value>
            <name>Ringer Off</name>
        </option>
        <option>
            <value>1</value>
            <name>Call Reject</name>
        </option>
        <option>
            <value>2</value>
            <name>Use Common Phone Profile Setting</name>
        </option>
    </doNotDisturbSettings>
    <voiceMailAvoidancePolicy uri="https://{host}/cucm-uds/options/voiceMailAvoidancePolicy">
        option>
            <value>0</value>
            <name>Use System Default</name>
        </option>
        <option>
            <value>1</value>
            <name>Timer Control</name>
        </option>
        <option>
            <value>2</value>
            <name>User Control</name>
        </option>
    </voiceMailAvoidancePolicy>
    ...
</options>

installedLocales

The installedLocales resource returns a list of installed locale information on the server.

installedLocales Request Format

<!--installedLocales Request-->
GET https://{host}:8443/cucm-uds/options/installedLocales  
Content-Type: application/xml
  • No authentication required.

installedLocales Response Format

<!--installedLocales Response-->
<installedLocales>
   <option>
      <value>1</value>
      <name>English, United States</name>
   </option>
   ...
</installedLocales>

models

The models resource returns a list of device models supported by the Cisco Unified CM and their related information. The response list contains a link to a localized user guide for each device model.

models Request Format

<!--models request-->
GET https://{host}:8443/cucm-uds/options/models  
Content-Type: application/xml  
  • No authentication required.

models Response Format

<!--models response-->
<models>
  <option>
    <value>20</value>
    <name>SCCP Phone</name>
    <productId>33</productId>
    <userGuides/>
  </option>
  <option>
    <value>72</value>
    <name>CTI Port</name>
    <productId>25</productId>
    <userGuides/>
  </option>
  <option>
    <value>30027</value>
    <name>Analog Phone</name>
    <productId>30065</productId>
    <userGuides/>
  </option>
  <option>
    <value>9</value>
    <name>Cisco 7935</name>
    <productId>32</productId>
    <userGuides>
      <userGuide uri="https://{host}/PhoneOnlineGuide/7935/7935user.pdf" protocol="SCCP"/>
    </userGuides>
  </option>
  <option>
    <value>6</value>
    <name>Cisco 7910</name>
    <productId>34</productId>
    <userGuides/>
  </option>
  <option>
    <value>7</value>
    <name>Cisco 7960</name>
    <productId>35</productId>
    <userGuides>
      <userGuide uri="https://{host}/PhoneOnlineGuide/7960/6040sccp.pdf" protocol="SCCP"/>
      <userGuide uri="https://{host}/PhoneOnlineGuide/7960/6040sip.pdf" protocol="SIP"/>
    </userGuides>
  </option>
  <option>
    <value>8</value>
    <name>Cisco 7940</name>
    <productId>36</productId>
    <userGuides>
      <userGuide uri="https://{host}/PhoneOnlineGuide/7960/6040sccp.pdf" protocol="SCCP"/>
      <userGuide uri="https://{host}/PhoneOnlineGuide/7960/6040sip.pdf" protocol="SIP"/>
    </userGuides>
  </option>
  ...
</models>

timeZones

The timeZones resource returns a list of time zones recognized by the server.

timeZones Request Format

<!--timeZones request-->
GET https://{host}:8443/cucm-uds/options/timeZones  
Content-Type: application/xml
  • No authentication required.

timeZones Response Format

<!--timeZones response-->
<timeZones>
   <option>
      <value>359</value>
      <name>(GMT-11:00) Etc/GMT+11</name>
   </option>
   ...
</timeZones>

userPolicy

The userPolicy resource returns a list of parameters that display the current settings for each user. The interface does not enforce userPolicy settings, but may do so in a future release. Developers should show or hide client features based on the settings returned by this resource. For example, if userPolicy indicates ShowChangePassword = true, then Users are allowed to perform this action. If ShowChangePassword = false, Developers should not offer this capability from the User Interface.

userPolicy Request Format

<!--userPolicy request-->
GET https://{host}:8443/cucm-uds/options/userPolicy  
Content-Type: application/xml
  • No authentication required.

userPolicy Response Format

<!--userPolicy response-->
<userPolicy version="10.0.0" uri="https://{host}/cucm-uds/options/userPolicy">
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowCallForward">
      <name>ShowCallForward</name>
      <value>1</value>
      <options>
         <option value="1">Show All Settings</option>
         <option value="2">Hide All Settings</option>
         <option value="3">Show Only Forward All</option>
      </options>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowChangePassword">
      <name>ShowChangePassword</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowChangePin">
      <name>ShowChangePin</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowDirectorySearch">
      <name>ShowDirectorySearch</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowApplications">
      <name>ShowApplications</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowIPPhoneServices">
      <name>ShowIPPhoneServices</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowLineLabel">
      <name>ShowLineLabel</name>
      <value>false</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowHistorySettings">
      <name>ShowHistorySettings</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowConferencingScheduler">
      <name>ShowConferencingScheduler</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowVoicemailIVROption">
      <name>ShowVoicemailIVROption</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowMessageWaitingAlertPreference">
      <name>ShowMessageWaitingAlertPreference</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowExternalPhoneSettings">
      <name>ShowExternalPhoneSettings</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowOnlinePhoneGuide">
      <name>ShowOnlinePhoneGuide</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowPhoneContacts">
      <name>ShowPhoneContacts</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowRingPreferences">
      <name>ShowRingPreferences</name>
      <value>false</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowSpeedDials">
      <name>ShowSpeedDials</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/OnACallRingPreferenceDefault">
      <name>OnACallRingPreferenceDefault</name>
      <value>5</value>
      <options>
         <option value="1">Disable</option>
         <option value="2">Flash Only</option>
         <option value="3">Ring Once</option>
         <option value="4">Ring\</option>
         <option value="5">Beep Only\</option>
      </options>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/NotOnACallRingPreferenceDefault">
      <name>NotOnACallRingPreferenceDefault</name>
      <value>4</value>
      <options>
         <option value="1">Disable</option>
         <option value="2">Flash Only</option>
         <option value="3">Ring Once</option>
         <option value="4">Ring</option>
      </options>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/MessageWaitingAlertAudioPreferenceDefault">
      <name>MessageWaitingAlertAudioPreferenceDefault</name>
      <value>0</value>
      <options>
         <option value="0">OFF</option>
         <option value="1">ON</option>
      </options>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/MessageWaitingAlertVisualPreferenceDefault">
      <name>MessageWaitingAlertVisualPreferenceDefault</name>
      <value>0</value>
      <options>
         <option value="0">Primary Line - Light and Prompt</option>
         <option value="1">Primary Line - Prompt Only</option>
         <option value="2">Primary Line - Light Only</option>
         <option value="3">Light and Prompt</option>
         <option value="4">Prompt Only</option>
         <option value="5">Light Only</option>
         <option value="6">None</option>
      </options>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/UserLocalDefault">
      <name>UserLocalDefault</name>
      <value>1</value>
      <range>
         <default>250</default>
         <min>50</min>
         <max>9999</max>
      </range>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/VoiceMailAvoidancePolicy">
      <name>VoiceMailAvoidancePolicy</name>
      <value>1</value>
      <options>
         <option value="1">Timer Control</option>
         <option value="2">User Control</option>
      </options>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/PhoneServiceDisplay">
      <name>PhoneServiceDisplay</name>
      <value>0</value>
      <options>
         <option value="0">Internal</option>
         <option value="1">External URL</option>
         <option value="2">Both</option>
      </options>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/EnableAllUserSearch">
      <name>EnableAllUserSearch</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/UserSearchLimit">
      <name>UserSearchLimit</name>
      <value>500</value>
      <range>
         <default>64</default>
         <min>1</min>
         <max>500</max>
      </range>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/NumberofDigitstoMatch">
      <name>NumberofDigitstoMatch</name>
      <value>4</value>
      <range>
         <default>4</default>
         <min>3</min>
         <max>256</max>
      </range>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/URILookupPolicy">
      <name>URILookupPolicy</name>
      <value>0</value>
      <options>
         <option value="0">Case Sensitive</option>
         <option value="1">Case Insensitive</option>
      </options>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowCalendarPreference">
      <name>ShowCalendarPreference</name>
      <value>true</value>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowCallHistory">
      <name>ShowCallHistory</name>
   </policy>
   <policy uri="https://{host}/cucm-uds/options/userPolicy/ShowVideoConferencingScheduler">
      <name>ShowVideoConferencingScheduler</name>
      <value>true</value>
   </policy>
</userPolicy>

phoneServices

Returns a list of the IP Phone Services currently configured in the Cisco Unified CM system. This resource provides only a list of the services. To obtain detailed information for a particular service, use the PhoneService resource.

phoneServices Request Format

<!--phoneServices request-->
GET https://{host}:8443/cucm-uds/phoneServices  
Content-Type: application/xml  
  • No authentication required.

phoneServices Response Format

<!--phoneServices response-->
<phoneServices uri="https://{host}:8443/cucm-uds/phoneServices" version="{version}">
   <phoneService uri="https://{host}:8443/cucm-uds/phoneService/{phoneServicePkid}">
      <id>{phoneServicePkid}</id>
      <name>serviceName</name>
      <description>serviceDescription</description>
      <category>XML Service</category>
      <vendor />
      <serviceVersion />
      <enabled>true|false</enabled>
   </phoneService>  
   ...
</phoneServices>

phoneService

The PhoneService resource returns the detailed information for a particular IP Phone Service. The URL for accessing the PhoneService resource should be retrieved from the PhoneServices response.

phoneService Request Format

<!--phoneService request-->
GET https://{host}:8443/cucm-uds/phoneService/{phoneServiceid}  
Content-Type: application/xml
  • No authentication required.

Path Parameters

Parameter Description
phoneServiceid The ID of the phone service for which you want to retrieve data.

phoneService Response Format

<!--phoneService response-->
<phoneService uri="https://{host}:8443/cucm-uds/phoneService/{phoneServicePkid}" version="{version}">
   <id>{phoneServicePkid}</id>
   <name>serviceName</name>
   <description>serviceDescription</description>
   <urlTemplate>http://www.example.com/service/template/url</urlTemplate>
   <secureUrlTemplate>https://www.example.com/service</secureUrlTemplate>
   <category>XML Service</category>
   <type>Standard IP Phone Service</type>
   <vendor />
   <serviceVersion />
   <enabled>true</enabled>
   <parameters>
      <parameter>
         <paramId>{phoneServiceParamPkid}</paramId>
         <displayName>TestParam</displayName>
         <description>test</description>
         <defaultValue />
         <isRequired>true|false</isRequired>
         <isCredential>true|false</isCredential>
      </parameter>
   </parameters>
</phoneService>

servers

The servers resource returns a list of all the Cisco Unified CM nodes within that cluster. This resource is used to load balance requests. Cisco recommends your application make a request to the first server in the list. If the server is busy, then pick another server until your application can successfully make a request.

servers Request Format

<!--servers request-->
GET https://{host}:8443/cucm-uds/servers  
Content-Type: application/xml
  • No authentication required.

servers Response Format

<!--servers response-->
<servers version="{version}" uri="https:://{host}:8443/cucm-uds/servers">
   <server>{host}</server>
   <server>{host1}</server>
   <server>{host2}</server>
   ...
</servers>

timeOfDay

The timeOfDay resource returns a list of values for each time of the day in 15 minute increments. It is used by a remote destination profile to obtain a schedule. For more information on remote destination profiles, consult the documentation about the remoteDestination resource.

timeOfDay Request Format

<!--timeOfDay request-->
GET https://{host}:8443/cucm-uds/options/timeOfDay  
Accept: application/xml
Content-Type: application/xml
  • No authentication required.

timeofDay Response Format

<!--timeOfDay response-->
<timeOfDay>
   <option>
      <value>0</value>
      <name>No office hours</name>
   </option>
   <option>
      <value>1</value>
      <name>00:00</name>
   </option>
   <option>
      <value>2</value>
      <name>00:15</name>
   </option>
   <option>
      <value>3</value>
      <name>00:30</name>
   </option>
</timeOfDay>

The <value> tag contains an integer that specifies a 15 minute interval within a 24 hour period, where:

Time of Day Value 24hr Time Period
0 00:00
1 00:15
2 00:30
... ...
95 23:30
96 23:45
97 24:00

users

The users resource provides search functions to locate users stored in the Cisco Unified CM database. It is highly recommended that query string parameters be used to filter the search results.

users Request Format

<!--users request-->
GET https://{host}:8443/cucm-uds/users  
Content-Type: application/xml   

The default number of users returned is 64. The number of users returned can be controlled through the CUCM Enterprise Parameters settings, under User Data Services / User Search Limit Settings.

The user count starts at 0. If the user search result exceeds the number specified, it returns only partial results up to the specified search limit. Therefore, it is recommended to use the start and max parameter to paginate the results.

Query String Parameters

Parameter Description
name Filter the name search using a search string that consists of a first and last name and is tokenized by whitespace:
  • For an input text string without spaces, the search will be performed as a 'starting with' match against the user's first name, last name, or email. (Note: for versions 11.5(1)+, the search will be performed against the display name instead)
  • When there is space detected in the input text:
    • When the search criteria contains one space, these are the rules for searching: When searching for "x y" (first starts with x AND last starts with y) OR (last starts with x AND first starts with y) OR (last starts with "x y") OR (first starts with "x y") OR (displayname starts with “x y” - versions 11.5(1)+ only)
    • When the search criteria contains two spaces, these are the rules for searching within the user name: When searching for "x y z" (first starts with x AND last starts with "y z") OR (first starts with "x y" AND last starts with z) OR (last starts with x AND first starts with "y z") OR (last starts with "x y" AND first starts with z)
    • When the search criteria contains more than two spaces, only the first three sets of characters are considered as in #2.
https://{host}:8443/cucm-uds/users?name=Jon
displayname Filter the user search by the display name starting with the search string. (Version 11.5(1)+)
https://{host}:8443/cucm-uds/users?displayname=Jon
first Filter the user search by the first name starting with the search string.
https://{host}:8443/cucm-uds/users?first=Jon
last Filter the user search by the last name starting with the search string.
https://{host}:8443/cucm-uds/users?last=Smit
number Filter the user search by any of the user's telephone numbers (telephoneNumber, Home, or Mobile) starting with the search string. It ignores spaces and the characters (, ), +, and -.
https://{host}:8443/cucm-uds/users?number=123
numberlast Filter the user search by the right-most digits of one of the user's telephone numbers (telephoneNumber, Home, or Mobile). Minimum of 4 characters is recommended. It ignores spaces and the characters (, ), +, and -.
https://{host}:8443/cucm-uds/users?numberlast=1234
username Filter by username. The search string must match the username exactly. Minimum of 3 characters is recommended.
https://{host}:8443/cucm-uds/users?username=user1
email Filter by user's email address. The search string must match the email address exactly.
https://{host}:8443/cucm-uds/users?email=user1@test.com
uri Filter by user's msUri (OcsPrimaryUserAddress) or DirectoryURI attribute. The search string must match the URI exactly.
https://{host}:8443/cucm-uds/users?uri=sampleURI
start Used for pagination of displayed search results. Specifies where, in the full list of items, to start returning items.
https://{host}:8443/cucm-uds/users?start=20
max Used for the pagination of displayed search results. Specifies the maximum number of user items to return. Must be less than what is specified in Enterprise Parameters, User Data Services, User Search Limit Setting.
https://{host}:8443/cucm-uds/users?max=10
  • No authentication required.

Note: UDS versions 11.5(1)+ can be configured by the administrator to require authentication for /users resource requests. Applications should check the value of <usersResourceAuthEnabled> from the /version resource to determine if Basic Auth credentials need to be supplied.

Example request:

Retrieve users who have a first name beginning with "u" and a number that starts with "214":

https://{host}:8443/cucm-uds/users?first=u&number=214

users Response Format

<!--users response-->
<users uri="https://{host}/cucm-uds/users" version="10.0.0" start="0" requestedCount="10" returnedCount="10" totalCount="100">
   <user uri="https://{host}:8443/cucm-uds/user/{userId}">
      <id>ec9d96b1-ad1a-dfd6-0e89-ec1cfff26aff</id>
      <userName>johndoe</userName>
      <firstName>John</firstName>
      <lastName>Doe</lastName>
      <middleName />
      <nickName />
      <displayName />
      <phoneNumber />
      <homeNumber />
      <mobileNumber />
      <email />
      <directoryUri />
      <msUri />
      <department />
      <manager />
      <title />
      <pager />
   </user>
   ...
</users>

In the example:

  • requestedCount is equal to the max parameter in the request
  • returnedCount is the total number of users contained in this response
  • totalCount is the total number of users that match the filter parameters

version

Returns the current Cisco Unified CM UDS API version.

version Request Format

<!--version request-->
GET https://{host}:8443/cucm-uds/version  
Content-Type: application/xml
  • No authentication required.

version Response Format

<!--version response-->
<?xml version="1.0" encoding="UTF-8"?>

<versionInformation uri="https://{host}/cucm-uds/version" version="10.0.0">
  <version>11.5.1</version>
  <capabilities>
    <usersResourceAuthEnabled>true</usersResourceAuthEnabled>
  </capabilities>
</versionInformation>

version Capabilities

UDS versions 11.5(1)+ include information on UDS API admin-configurable capabilities and settings via the <capabilities> element. The following capabilities settings may be present:

Capability Description UDS Version
usersResourceAuthEnabled Indicates if the /users resource requires authentication (default=false) 11.5(1)